from dataclasses import dataclass
from typing import Literal


Service = Literal["openai", "bard"]


@dataclass
class Model:
    id: str
    usage_name: str
    service: Service


GPT_3 = Model(id="gpt-3.5-turbo-16k-0613", usage_name="GPT-3", service="openai")

GPT_4 = Model(id="gpt-4-16k-0613", usage_name="GPT-4", service="openai")
